"""Common eds exceptions."""


class FatalException(Exception):
    """Raise this exception for non-transient errors.

    These exceptions can be given an extra data object, which may be used by the caller to log
    this as extra information.
    """
    def __init__(self, msg=None, data=None):
        if msg is None:
            msg = 'Something went wrong!'

        super().__init__(msg)
        self.data = data


class Invalid(FatalException):
    """The payload is invalid."""


class InvalidVersion(FatalException):
    """The payload version is invalid."""


class TransientException(Exception):
    """Raise this exception when we know the cause is transient (e.g.: connection errors,
    consistency error, ...).
    """
